#include-once
#include <inet.au3>

; #INDEX# =======================================================================================================================
; Title .........: MSS
; AutoIt Version : 1.0.0.0
; Language ......: German / English
; Description ...: Funktion zum Benutzen von MySql
; Author(s) .....: Tereboritum([T]Ere[B]Oritum,MrMoonlightTutorial), Auto4IT
; ===============================================================================================================================


; #WICHTIG#======================================================================================================================
;Bevor ihr das Script benutzen Knnt msst ihr euch erst den MSS Ordner herunterladen :
; ===============================================================================================================================


; #Variablen#====================================================================================================================
Global $MSS_Host
Global $MSS_User
Global $MSS_Pass
Global $MSS_Link
Global $MSS_PW
; ===============================================================================================================================


; #Funktionen#===================================================================================================================
;MSS_TB_Create
;MSS_TB_Delete
;MSS_TB_Rename
;MSS_TB_Move
;MSS_TB_Show
;MSS_TB_Count
;MSS_TB_Exist
;.............
;MSS_SP_Add
;MSS_SP_Delete
;MSS_SP_Change
;MSS_SP_Show
;MSS_SP_Count
;MSS_SP_Exist
;.............
;MSS_VAL_Clean
;MSS_VAL_Delete
;MSS_VAL_Add
;MSS_VAL_Change
;MSS_VAL_Show
;MSS_VAL_Count
; ===============================================================================================================================


#region Tabellen
Func MSS_TB_Create($DB,$Name)
if $DB = "" or $Name = "" Then
	ConsoleWrite("MSS: MSS_TB_Create = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Create("'&$DB&'","'&$Name&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M3|" Then
	Return "M3"

Else
	Return "FM3"
		EndIf
EndFunc

Func MSS_TB_Delete($DB,$Name)
	if $DB = "" or $Name = "" Then
	ConsoleWrite("MSS: MSS_TB_Delete = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Delete("'&$DB&'","'&$Name&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M4|" Then
	Return "M4"

Else
	Return "FM4"
		EndIf
EndFunc

Func MSS_TB_Rename($DB,$Name,$NName)
		if $DB = "" or $Name = "" or $NName = "" Then
	ConsoleWrite("MSS: MSS_TB_Rename = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Rename("'&$DB&'","'&$Name&'","'&$NName&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M5|" Then
	Return "M5"

Else
	Return "FM5"
		EndIf
EndFunc

Func MSS_TB_Move($DB,$TB,$Name,$OP)
	if $DB = "" or $TB = "" or $Name = "" or $OP = "" Then
	ConsoleWrite("MSS: MSS_TB_Move = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Move("'&$DB&'","'&$TB&'","'&$Name&'","'&$OP&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M6|" Then
	Return "M6"

Else
	Return "FM6"
		EndIf
EndFunc

Func MSS_TB_Show($DB)
	if $DB = "" Then
	ConsoleWrite("MSS: MSS_TB_Create = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Show("'&$DB&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


	Return StringTrimLeft($Source,15)

EndFunc

Func MSS_TB_Count($DB)
if $DB = ""Then
	ConsoleWrite("MSS: MSS_TB_Count = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Count("'&$DB&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)

Return StringTrimLeft($Source,15)

EndFunc

Func MSS_TB_Exist($DB,$Tab)
	if $DB = "" or $Tab = "" Then
	ConsoleWrite("MSS: MSS_TB_Exist = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_TB_Exist("'&$DB&'","'&$Tab&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M13" Then
	Return "M13"

Else
	Return "FM13"
		EndIf
EndFunc
#endregion

;
;7 Funktionen



#region Spalten
Func MSS_SP_Add($DB,$Tab,$SP,$Typ,$La,$P)
	if $DB = "" or $Tab = "" or $Sp = "" or $Typ = "" or $La = "" or $P = ""Then
	ConsoleWrite("MSS: MSS_SP_Add = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_SP_Add("'&$DB&'","'&$Tab&'","'&$Sp&'","'&$Typ&'","'&$La&'","'&$P&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M9|" Then
	Return "M9"

Else
	Return "FM9"
		EndIf
EndFunc

Func MSS_SP_Delete($DB,$Tab,$SP)
if $DB = "" or $Tab = "" or $Sp = "" Then
	ConsoleWrite("MSS: MSS_SP_Delete = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_SP_Delete("'&$DB&'","'&$Tab&'","'&$Sp&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M10|" Then
	Return "M10"

Else
	Return "FM10"
		EndIf
EndFunc

Func MSS_SP_Change($DB,$Tab,$SP,$NSP,$Typ,$La,$P)
	if $DB = "" or $Tab = "" or $Sp = "" or $Typ = "" or $La = "" or $P = "" or $NSP = "" Then
	ConsoleWrite("MSS: MSS_SP_Change = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_SP_Change("'&$DB&'","'&$Tab&'","'&$Sp&'","'&$NSP&'","'&$Typ&'","'&$La&'","'&$P&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


If StringTrimLeft($Source,15) = "M11|" Then
	Return "M11"

Else
	Return "FM11"
		EndIf
EndFunc

Func MSS_SP_Show($DB,$Tab)
if $DB = "" or $Tab = "" Then
	ConsoleWrite("MSS: MSS_SP_Show = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_SP_Show("'&$DB&'","'&$Tab&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimRight(StringTrimLeft($Source,15),1)

EndFunc

Func MSS_SP_Count($DB,$Tab)
	if $DB = "" or $Tab = "" Then
	ConsoleWrite("MSS: MSS_SP_Count = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_SP_Count("'&$DB&'","'&$Tab&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)

EndFunc

Func MSS_SP_Exist($DB,$Tab,$SP)
	if $DB = "" or $Tab = "" or $Sp = "" Then
	ConsoleWrite("MSS: MSS_SP_Exist= Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_SP_Exist("'&$DB&'","'&$Tab&'","'&$Sp&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)

EndFunc
#endregion






#region Inhalt
Func MSS_VAL_Clean($DB,$Tab)
	if $DB = "" or $Tab = "" Then
	ConsoleWrite("MSS: MSS_VAL_Clean = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_VAL_Clean("'&$DB&'","'&$Tab&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)
EndFunc

Func MSS_VAL_Delete($DB,$Tab,$SP,$Val)
		if $DB = "" or $Tab = "" or $SP = "" or $Val = "" Then
	ConsoleWrite("MSS: MSS_VAL_Delete = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_VAL_Delete("'&$DB&'","'&$Tab&'","'&$SP&'","'&$Val&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)
EndFunc

Func MSS_VAL_Add($DB,$Tab,$SP,$Val)
		if $DB = "" or $Tab = "" or $SP = "" or $Val = "" Then
	ConsoleWrite("MSS: MSS_VAL_Add= Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_VAL_Add("'&$DB&'","'&$Tab&'","'&$SP&'","'&$Val&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)
EndFunc

Func MSS_VAL_Change($DB,$Tab,$SP,$Val,$NVal)
	if $DB = "" or $Tab = "" or $SP = "" or $Val = "" or $NVal = "" Then
	ConsoleWrite("MSS: MSS_VAL_Change= Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_VAL_Change("'&$DB&'","'&$Tab&'","'&$SP&'","'&$Val&'","'&$NVal&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)
EndFunc

Func MSS_VAL_Show($DB,$Tab,$SP)
		if $DB = "" or $Tab = "" or $SP = "" Then
	ConsoleWrite("MSS: MSS_VAL_Show = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_VAL_Show("'&$DB&'","'&$Tab&'","'&$SP&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimRight(StringTrimLeft($Source,15),1)
EndFunc

Func MSS_VAL_Count($DB,$Tab,$SP)
	if $DB = "" or $Tab = "" or $SP = "" Then
	ConsoleWrite("MSS: MSS_VAL_Count = Variablen leer")
	Exit
EndIf
$Connect = '?p='&$MSS_PW&'&c=MSS_Connect("'&$MSS_Host&'","'&$MSS_User&'","'&$MSS_Pass&'");/'

$Code = 'MSS_VAL_Count("'&$DB&'","'&$Tab&'","'&$SP&'");'
$Source = _INetGetSource($MSS_Link&$Connect&$Code)


Return StringTrimLeft($Source,15)
EndFunc
#endregion
; ===============================================================================================================================
